## qtweetlib 0.5+repack1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

## project settings
PROJECT(QTweetLib)
SET( QTWEETLIB_MAJOR_VERSION 1 )
SET( QTWEETLIB_MINOR_VERSION 0 )
SET( QTWEETLIB_PATCH_VERSION 0 )

SET( QTWEETLIB_VERSION ${QTWEETLIB_MAJOR_VERSION}.${QTWEETLIB_MINOR_VERSION}.${QTWEETLIB_PATCH_VERSION} )
SET( QTWEETLIB_SONAME ${QTWEETLIB_MAJOR_VERSION}.${QTWEETLIB_MINOR_VERSION} )

MESSAGE(STATUS "Building QTweetLib " ${QTWEETLIB_VERSION} )

# cmake modules
SET( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/cmake/modules" )

## required deps
# qt4
FIND_PACKAGE( Qt4 COMPONENTS QtCore QtNetwork QtGui REQUIRED )
INCLUDE( ${QT_USE_FILE} )
# qjson
FIND_PACKAGE( QJSON REQUIRED )

# definitions
ADD_DEFINITIONS( ${QT_DEFINITIONS} )
ADD_DEFINITIONS( -DQT_SHARED )
ADD_DEFINITIONS( -DQTWEETLIB_MAKEDLL )

# build actual source dir
ADD_SUBDIRECTORY( src )

=== src/CMakeLists.txt ===
SET(QTWEETLIB_SOURCES
    oauth.cpp
    oauthtwitter.cpp
    qtweetfriendstimeline.cpp
    qtweethometimeline.cpp
    qtweetmentions.cpp
    qtweetnetbase.cpp
    qtweetretweetbyme.cpp
    qtweetretweetsofme.cpp
    qtweetretweettome.cpp
    qtweetstatus.cpp
    qtweetstatusshow.cpp
    qtweetstatusupdate.cpp
    qtweetuser.cpp
    qtweetusertimeline.cpp
    qtweetstatusdestroy.cpp
    qtweetstatusretweet.cpp
    qtweetstatusretweets.cpp
    qtweetusershow.cpp
    qtweetuserlookup.cpp
    qtweetdirectmessages.cpp
    qtweetuserstream.cpp
    qtweetdmstatus.cpp
    qtweetusersearch.cpp
    qtweetuserstatusesfriends.cpp
    qtweetuserstatusesfollowers.cpp
    qtweetlist.cpp
    qtweetlistcreate.cpp
    qtweetlistupdate.cpp
    qtweetlistgetlists.cpp
    qtweetlistshowlist.cpp
    qtweetlistdeletelist.cpp
    qtweetliststatuses.cpp
    qtweetlistmemberships.cpp
    qtweetlistsubscriptions.cpp
    qtweetlistgetmembers.cpp
    qtweetlistaddmember.cpp
    qtweetlistdeletemember.cpp
    qtweetlistsubscribers.cpp
    qtweetlistsubscribe.cpp
    qtweetlistunsubscribe.cpp
    qtweetdirectmessagessent.cpp
    qtweetdirectmessagenew.cpp
    qtweetdirectmessagedestroy.cpp
    qtweetfriendshipcreate.cpp
    qtweetfriendshipdestroy.cpp
    qtweetfriendsid.cpp
    qtweetfollowersid.cpp
    qtweetaccountverifycredentials.cpp
    qtweetaccountratelimitstatus.cpp
    qtweetfavorites.cpp
    qtweetfavoritescreate.cpp
    qtweetfavoritesdestroy.cpp
    qtweetsearch.cpp
    qtweetsearchresult.cpp
    qtweetsearchpageresults.cpp
    qtweetplace.cpp
    qtweetgeoreversegeocode.cpp
    qtweetgeosearch.cpp
    qtweetgeosimilarplaces.cpp
    qtweetgeoplaceid.cpp
    qtweetgeoplacecreate.cpp
    qtweetgeocoord.cpp
    qtweetgeoboundingbox.cpp
    qtweetconvert.cpp
    qtweetentityurl.cpp
    qtweetentityhashtag.cpp
    qtweetentityusermentions.cpp
    qtweetblocksblocking.cpp
    qtweetblocksblockingids.cpp
    qtweetblockscreate.cpp
    qtweetblocksdestroy.cpp
    qtweetblocksexists.cpp
)

SET(QTWEETLIB_MOC_HEADERS
    oauth.h
    oauthtwitter.h
    qtweetfriendstimeline.h
    qtweethometimeline.h
    qtweetmentions.h
    qtweetnetbase.h
    qtweetretweetbyme.h
    qtweetretweetsofme.h
    qtweetretweettome.h
    qtweetstatusshow.h
    qtweetstatusupdate.h
    qtweetusertimeline.h
    qtweetstatusdestroy.h
    qtweetstatusretweet.h
    qtweetstatusretweets.h
    qtweetusershow.h
    qtweetuserlookup.h
    qtweetdirectmessages.h
    qtweetuserstream.h
    qtweetusersearch.h
    qtweetuserstatusesfriends.h
    qtweetuserstatusesfollowers.h
    qtweetlistcreate.h
    qtweetlistupdate.h
    qtweetlistgetlists.h
    qtweetlistshowlist.h
    qtweetlistdeletelist.h
    qtweetliststatuses.h
    qtweetlistmemberships.h
    qtweetlistsubscriptions.h
    qtweetlistgetmembers.h
    qtweetlistaddmember.h
    qtweetlistdeletemember.h
    qtweetlistsubscribers.h
    qtweetlistsubscribe.h
    qtweetlistunsubscribe.h
    qtweetdirectmessagessent.h
    qtweetdirectmessagenew.h
    qtweetdirectmessagedestroy.h
    qtweetfriendshipcreate.h
    qtweetfriendshipdestroy.h
    qtweetfriendsid.h
    qtweetfollowersid.h
    qtweetaccountverifycredentials.h
    qtweetaccountratelimitstatus.h
    qtweetfavorites.h
    qtweetfavoritescreate.h
    qtweetfavoritesdestroy.h
    qtweetsearch.h
    qtweetgeoreversegeocode.h
    qtweetgeosearch.h
    qtweetgeosimilarplaces.h
    qtweetgeoplaceid.h
    qtweetgeoplacecreate.h
    qtweetblocksblocking.h
    qtweetblocksblockingids.h
    qtweetblockscreate.h
    qtweetblocksdestroy.h
    qtweetblocksexists.h
)

SET(QTWEETLIB_HEADERS
    ${QTWEETLIB_MOC_HEADERS}
    qtweetlib_global.h
    qtweetstatus.h
    qtweetuser.h
    qtweetdmstatus.h
    qtweetlist.h
    qtweetsearchresult.h
    qtweetsearchpageresults.h
    qtweetplace.h
    qtweetgeocoord.h
    qtweetgeoboundingbox.h
    qtweetconvert.h
    qtweetentityurl.h
    qtweetentityhashtag.h
    qtweetentityusermentions.h
)

INCLUDE_DIRECTORIES(
    .
    ${QT_INCLUDE_DIR}
    ${QT_INCLUDES}
    ${QJSON_INCLUDE_DIR}
)

QT4_WRAP_CPP( QTWEETLIB_MOC ${QTWEETLIB_MOC_HEADERS} )

ADD_LIBRARY( QTweetLib SHARED ${QTWEETLIB_SOURCES} ${QTWEETLIB_MOC} )

SET_TARGET_PROPERTIES( QTweetLib PROPERTIES
    VERSION ${QTWEETLIB_VERSION}
    SOVERSION ${QTWEETLIB_SONAME}
)

TARGET_LINK_LIBRARIES( QTweetLib
    ${QT_LIBRARIES}
    ${QJSON_LIBRARIES}
)

INSTALL( TARGETS QTweetLib
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    ARCHIVE DESTINATION lib${LIB_SUFFIX}
    BUNDLE DESTINATION library
)

INSTALL( FILES ${QTWEETLIB_HEADERS}
    DESTINATION include/QTweetLib
)

=== debian/changelog ===
qtweetlib (0.5+repack1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Update debian/copyright
  * debian/control
    - Correct column widths of description
  * Repack original source:
    - remove source copy of qjson
    - add missing license copy for GPL-2

  [ Harald Sitter ]
  * Bump standards version to 3.9.4
  * Remove excess whitespaces from copyright

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Thu, 07 Mar 2013 22:20:29 +0530

qtweetlib (0.5-0~raring1) raring; urgency=low

  * Forward port to quantal

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jun 2012 11:53:54 +0200

qtweetlib (0.5-0~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 01:47:05 +0100

qtweetlib (0.3.0-7~precise1) precise; urgency=low

  * Upload to precise

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 10 Dec 2011 23:58:41 +0100

qtweetlib (0.3.0-7~oneiric1) oneiric; urgency=low

  * Add transitional package for libqtweet1 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 17 Nov 2011 19:45:33 +0100

qtweetlib (0.3.0-6~oneiric1) oneiric; urgency=low

  * Fix library packaging
    - libqtweet1 should be libqtweetlib0.0 
    - libqtweetlib0.0 shouldn't ship libQTweetLib.so, put it in -dev
    - libqtweetlib0.0 breaks/replaces libqtweet1
    - libqtweetlib-dev breaks/replaces libqtweet1 and libqtweet-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Nov 2011 18:33:57 +0100

libqtweet1 (0.3.0-5~0ubuntu1~oneiric1) oneiric; urgency=low

  * Initial package.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Thu, 10 Nov 2011 16:45:21 -0200

=== debian/control ===
Source: qtweetlib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends: cmake,
               debhelper (>= 7.3),
               pkg-kde-tools (>= 0.9),
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libqjson-dev
Standards-Version: 3.9.4
Homepage: https://github.com/minimoog/QTweetLib.git

Package: libqtweetlib1.0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: twitter library for Qt4
  - Supports only XAuth protocol (if there is need for PIN based OAuth I will
    include it)
  - OAuth tokens must be set in oauth.cpp line 27 and 28 to work properly
  - Uses QJson library by Flavio Castelli for parsing JSON responses
  - JSON parsing is done in multithreaded way using QThreadPool
  - User Streams support is not completed (fetches responses correctly,
    JSON parsing is not full implemented)

Package: libqtweetlib-dev
Section: libdevel
Architecture: any
Depends: libqtweetlib1.0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libqtweet1 (<< 0.3.0-6), libqtweet-dev
Replaces: libqtweet1 (<< 0.3.0-6), libqtweet-dev
Description: twitter library for Qt4 - development files
  - Supports only XAuth protocol (if there is need for PIN based OAuth I will
    include it)
  - OAuth tokens must be set in oauth.cpp line 27 and 28 to work properly
  - Uses QJson library by Flavio Castelli for parsing JSON responses
  - JSON parsing is done in multithreaded way using QThreadPool
  - User Streams support is not completed (fetches responses correctly,
    JSON parsing is not full implemented)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing
